/* Declarations for Netlib.c 
Copyright 1989 by Pierce T. Wetter III
Please see Netlib.c for distribution details
*/


typedef struct _mind {
		int nin;
		int nhidden;
		int nout;
		double learnrate;
		double momentum;
		double (*certfn)();
		double *inunits;
		double *hiddenunits;
		double *outunits;
		double *inbias;
		double *inbiasdeltas;
		double *hiddenbias;
		double *hiddenbiasdeltas;
		double *outbias;
		double *outbiasdeltas;
		double **inweights;
		double **inweightdeltas;
		double **hiddenweights;
		double **hiddenweightdeltas;
		double *indeltas;
		double *hiddendeltas;
		double *outdeltas;
		} mind, *mindptr;